# ZLibCodec class

The ZLibCodec encodes raw bytes to ZLib compressed bytes and decodes ZLib compressed bytes to raw bytes.

Inheritance
  - Object
  - Codec<List<int>, List<int>>
  - ZLibCodec

## Constructors

ZLibCodec({int level: ZLibOption.defaultLevel, int windowBits: ZLibOption.defaultWindowBits, int memLevel: ZLibOption.defaultMemLevel, int strategy: ZLibOption.strategyDefault, List<int> dictionary, bool raw: false, bool gzip: false })

## Properties

decoder → ZLibDecoder
  Get a ZLibDecoder for decoding `ZLib` compressed data.
  read-only, override
dictionary → List<int>
  Initial compression dictionary. [...]
  final
encoder → ZLibEncoder
  Get a ZLibEncoder for encoding to `ZLib` compressed data.
  read-only, override
gzip → bool
  When true, `GZip` frames will be added to the compressed data.
  final
level → int
  The compression-level can be set in the range of `-1..9`, with `6` being the default compression level. Levels above `6` will have higher compression rates at the cost of more CPU and memory usage. Levels below `6` will use less CPU and memory at the cost of lower compression rates.
  final
memLevel → int
  Specifies how much memory should be allocated for the internal compression state. `1` uses minimum memory but is slow and reduces compression ratio; `9` uses maximum memory for optimal speed. The default value is `8`. [...]
  final
raw → bool
  When true, deflate generates raw data with no zlib header or trailer, and will not compute an adler32 check value
  final
strategy → int
  Tunes the compression algorithm. Use the value strategyDefault for normal data, strategyFiltered for data produced by a filter (or predictor), strategyHuffmanOnly to force Huffman encoding only (no string match), or strategyRle to limit match distances to one (run-length encoding).
  final
windowBits → int
  Base two logarithm of the window size (the size of the history buffer). It should be in the range 8..15. Larger values result in better compression at the expense of memory usage. The default value is 15
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
inverted → Codec<List<int>, List<int>>
  Inverts `this`. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

decode(List<int> encoded) → List<int>
  Decodes `encoded` data. [...]
  inherited
encode(List<int> input) → List<int>
  Encodes `input`. [...]
  inherited
fuse<R>(Codec<List<int>, R> other) → Codec<List<int>, R>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited